# Uses of Class
org.osgi.framework.InvalidSyntaxException

Packages that use InvalidSyntaxException
Package
Description
org.apache.felix.framework
org.osgi.framework
Framework Package Version 1.8.

## Uses of InvalidSyntaxException in org.apache.felix.framework

Constructors in org.apache.felix.framework that throw InvalidSyntaxException
Modifier
Constructor
Description
``
`FilterImpl(String filterStr)`

## Uses of InvalidSyntaxException in org.osgi.framework

Methods in org.osgi.framework that throw InvalidSyntaxException
Modifier and Type
Method
Description
`void`
BundleContext.`addServiceListener(ServiceListener listener, String filter)`
Adds the specified `ServiceListener` object with the specified `filter` to the context bundle's list of listeners.
`Filter`
BundleContext.`createFilter(String filter)`
Creates a `Filter` object.
`static Filter`
FrameworkUtil.`createFilter(String filter)`
Creates a `Filter` object.
`ServiceReference<?>[]`
BundleContext.`getAllServiceReferences(String clazz, String filter)`
Returns an array of `ServiceReference` objects.
`<S> Collection<ServiceReference<S>>`
BundleContext.`getServiceReferences(Class<S> clazz, String filter)`
Returns a collection of `ServiceReference` objects.
`ServiceReference<?>[]`
BundleContext.`getServiceReferences(String clazz, String filter)`
Returns an array of `ServiceReference` objects.